> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/polygon/eth_chainid.md).

# eth\_chainId

Returns the currently configured chain id, a value used in replay-protected transaction signing as introduced by EIP-155.

#### **Parameters:**

None

#### **Returns:**

**QUANTITY** - big integer of the current chain id.

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl  https://polygon.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"eth_chainId","params":[],"id":1}'

// Result
{
  "jsonrpc":"2.0",
  "id":1,
  "result":"0x89"
}
```

{% endcode %}
